<template>
  <div>

    <b-card
      no-body
      class="mb-0"
    >         
      <br>
      <advance-view-info-card :advanceData="advance" @success="reload2"></advance-view-info-card>
        <documents-table></documents-table>
      <br>
    </b-card>
    
  </div>
</template>

<script>
import {
  BSidebar, BForm, BFormGroup, BFormInput, BFormInvalidFeedback, BButton,BTab, BTabs, BCard,BCardText, 
  BAlert, BLink,BFormSelect,BFormSelectOption,
} from 'bootstrap-vue'
import AdvanceViewInfoCard from './AdvanceViewInfoCard.vue'
import DocumentsTable from './DocumentsTable.vue'
export default {
  name:'advance-view',
  components: {
    BTab,
    BTabs,
    BCard,
    BCardText,
    BAlert,
    BLink,
    BSidebar,
    BForm,
    BFormGroup,
    BFormInput,
    BFormInvalidFeedback,
    BButton,
    BFormSelect,
    BFormSelectOption,
    AdvanceViewInfoCard,
    DocumentsTable

 
  },

  data(){
    return{
      advance:{},

    }
  },
  methods:{
    getAdvanceData(){
      this.$http.get('activitie/advances/show',{params:{advance:this.$route.params.advance}}).then(res=>{
        this.advance = res.data.advance
        let date = new Date(this.advance.created_at)
        this.advance.created_at = date.getFullYear()+'-'+(date.getMonth()+1)+'-'+(date.getDate());
        this.beforeEnter()

      }).catch(err=>{
        if (this.hasPermission('show_project_activities')){
          return true
        }else{
          this.$router.push({name: "misc-not-authorized"}) 
        }
      })
    },

    cancel(){
      this.$router.push({ name: 'apps-project-activities-list', params:{id:this.$route.params.id} })
    },
 
    reload(e){
          if(e){
            this.getAdvances()
            this.getAdvanceData()
          }
    },
    reload2(e){
          if(e){
            this.getAdvanceData()
          }
    },
    beforeEnter(){
        let userData = JSON.parse(localStorage.userData)
        if(this.advance.activitie){
          if ((this.hasPermission('show_project_activities') || userData.id === this.advance.activitie.manager_id || userData.id === this.advance.activitie.project.manager_id )) {
            return true
          }else {
            this.$router.push({name: "misc-not-authorized"}) 
          }
        }
        
    }
  },

    mounted(){
      
      this.getAdvanceData()
    
    }



}
</script>

<style>

</style>
